Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# BufFragGroup< ChainClass, max_frags > Class Template Reference
[OSCL Util]

`#include <oscl_media_data.h>`

Inheritance diagram for BufFragGroup< ChainClass, max_frags >:

## Public Methods
| BufFragGroup ()
virtual | ~BufFragGroup ()
int32 | GetMaxFrags () const
int32 | GetNumFrags () const
uint32 | GetLength () const
BufferFragment * | GetFragment (const int32 idx)
BufferState * | GetBufferState (const int32 idx)
void | AppendNext (ChainClass *next_ptr)
ChainClass * | GetNext () const
## Protected Methods
virtual void | Clear ()
BufFragStatusClass::status_t | AddFragment (const BufferFragment &frag, BufferState *in_buffer_state, int32 location_offset=max_frags)
## Protected Attributes
BufferFragment | fragments [max_frags]
BufferState * | buffer_states [max_frags]
ChainClass * | next
uint32 | num_fragments
uint32 | length

### template<class ChainClass, uint32 max_frags>
class BufFragGroup< ChainClass, max_frags >

## Constructor & Destructor Documentation

template<class ChainClass, uint32 max_frags>
BufFragGroup< ChainClass, max_frags >::BufFragGroup | ( |  | ) | `[inline]`

template<class ChainClass, uint32 max_frags>
virtual BufFragGroup< ChainClass, max_frags >::~BufFragGroup | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class ChainClass, uint32 max_frags>
BufFragStatusClass::status_t BufFragGroup< ChainClass, max_frags >::AddFragment | ( | const BufferFragment & | frag,
|  | BufferState * | in_buffer_state,
|  | int32 | location_offset = max_frags
| ) | `[inline, protected]`

template<class ChainClass, uint32 max_frags>
void BufFragGroup< ChainClass, max_frags >::AppendNext | ( | ChainClass * | next_ptr | ) | `[inline]`

template<class ChainClass, uint32 max_frags>
virtual void BufFragGroup< ChainClass, max_frags >::Clear | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in MediaData< ChainClass, max_frags, local_bufsize >.

template<class ChainClass, uint32 max_frags>
uint32 BufFragGroup< ChainClass, max_frags >::GetLength | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags>
int32 BufFragGroup< ChainClass, max_frags >::GetMaxFrags | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags>
ChainClass* BufFragGroup< ChainClass, max_frags >::GetNext | ( |  | ) | const`[inline]`

template<class ChainClass, uint32 max_frags>
int32 BufFragGroup< ChainClass, max_frags >::GetNumFrags | ( |  | ) | const`[inline]`

## Field Documentation

template<class ChainClass, uint32 max_frags>
BufferState* BufFragGroup< ChainClass, max_frags >::buffer_states[max_frags]`[protected]`

template<class ChainClass, uint32 max_frags>
BufferFragment BufFragGroup< ChainClass, max_frags >::fragments[max_frags]`[protected]`

template<class ChainClass, uint32 max_frags>
uint32 BufFragGroup< ChainClass, max_frags >::length`[protected]`

template<class ChainClass, uint32 max_frags>
ChainClass* BufFragGroup< ChainClass, max_frags >::next`[protected]`

template<class ChainClass, uint32 max_frags>
uint32 BufFragGroup< ChainClass, max_frags >::num_fragments`[protected]`

The documentation for this class was generated from the following file:

- oscl_media_data.h